summaryrefslogtreecommitdiffstats
path: root/source/kde/koffice
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2010-05-19 08:58:23 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:43:05 +0200
commitb76270bf9e6dd375e495fec92140a79a79415d27 (patch)
tree3dbed78b2279bf9f14207a16dc634b90995cbd40 /source/kde/koffice
parent5a12e7c134274dba706667107d10d231517d3e05 (diff)
downloadcurrent-b76270bf9e6dd375e495fec92140a79a79415d27.tar.gz
current-b76270bf9e6dd375e495fec92140a79a79415d27.tar.xz
Slackware 13.1slackware-13.1
Wed May 19 08:58:23 UTC 2010 Slackware 13.1 x86_64 stable is released! Lots of thanks are due -- see the RELEASE_NOTES and the rest of the ChangeLog for credits. The ISOs are on their way to replication, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We are taking pre-orders now at store.slackware.com, and offering a discount if you sign up for a subscription. Consider picking up a copy to help support the project. Thanks again to the Slackware community for testing, contributing, and generally holding us to a high level of quality. :-) Enjoy!
Diffstat (limited to 'source/kde/koffice')
-rwxr-xr-xsource/kde/koffice/koffice.SlackBuild4
-rw-r--r--source/kde/koffice/koffice.krita.png14.diff11
-rw-r--r--source/kde/koffice/local.options3
3 files changed, 17 insertions, 1 deletions
diff --git a/source/kde/koffice/koffice.SlackBuild b/source/kde/koffice/koffice.SlackBuild
index 1945b990d..d7332bf5b 100755
--- a/source/kde/koffice/koffice.SlackBuild
+++ b/source/kde/koffice/koffice.SlackBuild
@@ -46,6 +46,9 @@ cd $TMP
echo "Building koffice-$VERSION..."
tar xvf $CWD/../src/koffice-$VERSION.tar.?z* || exit 1
cd koffice-$VERSION
+
+zcat $CWD/koffice.krita.png14.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -56,6 +59,7 @@ find . \
mkdir -p build
cd build
cmake \
+ $KDE_OPT_ARGS \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_BUILD_TYPE=Release \
diff --git a/source/kde/koffice/koffice.krita.png14.diff b/source/kde/koffice/koffice.krita.png14.diff
new file mode 100644
index 000000000..252107de0
--- /dev/null
+++ b/source/kde/koffice/koffice.krita.png14.diff
@@ -0,0 +1,11 @@
+--- ./krita/ui/kis_png_converter.cpp.orig 2010-01-08 04:42:41.000000000 -0600
++++ ./krita/ui/kis_png_converter.cpp 2010-02-25 12:01:11.000000000 -0600
+@@ -404,7 +404,7 @@
+
+ png_byte signature[8];
+ iod->peek((char*)signature, 8);
+- if (!png_check_sig(signature, 8)) {
++ if (!(png_sig_cmp(signature, 0, 8) == 0)) {
+ iod->close();
+ return (KisImageBuilder_RESULT_BAD_FETCH);
+ }
diff --git a/source/kde/koffice/local.options b/source/kde/koffice/local.options
index ccb0cb13a..d98d655d6 100644
--- a/source/kde/koffice/local.options
+++ b/source/kde/koffice/local.options
@@ -1 +1,2 @@
-VERSION=2.0.2
+VERSION=2.1.2
+BUILD=2